Bug 1223719 - Cups is not pulling Description of Printers from Cups server
Summary: Cups is not pulling Description of Printers from Cups server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cups-filters
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 10:20 UTC by Oliver Haessler
Modified: 2015-11-19 12:08 UTC (History)
3 users (show)

Fixed In Version: cups-1.0.35-18.el7
Doc Type: Bug Fix
Doc Text:
Cause: When polling a remote CUPS scheduler to create local queues for forwarding jobs, the "printer-info" printer attribute was not collected. Consequence: The local queue description was empty. Fix: The "printer-info" printer attribute is now collected from the remote queue and assigned to the local queue. Result: Local queues created by cups-browsed now have descriptions mirroring the remote queues.
Clone Of:
Environment:
Last Closed: 2015-11-19 12:08:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2360 normal SHIPPED_LIVE Moderate: cups-filters security, bug fix, and enhancement update 2015-11-19 10:41:12 UTC
Red Hat Bugzilla 1191691 None CLOSED cups-browsed very inefficient 2019-06-06 15:37:22 UTC

Internal Links: 1191691

Description Oliver Haessler 2015-05-21 10:20:50 UTC
Description of problem:
When you add a Description of a Printer to the cups server, it is not visible on the Client side while using BrowsePoll.

Version-Release number of selected component (if applicable):
cups-1.6.3-17.el7.x86_64

How reproducible:


Steps to Reproduce:
1. add a Description to a Printer on a cups server
2. use BrowsePoll to get the Printer to the client
3. use: lpstat -l -p $PrinterName

Actual results:
Description is empty

Expected results:
Description should be filled

Additional info:
Also it would make sense to have a column with the description in the print dialog. Right now there is "Printer" "Location" "Status". Would be great to have "Printer" "Description" "Location" "Status".

Would it be also possible to have a "list" view in the "Print Settings" Dialogue, that also shows "Printer" "Description" "Location" "Status"?

Comment 2 Tim Waugh 2015-05-21 16:26:42 UTC
"use BrowsePoll" -> component now set to cups-filters, as cups-browsed is what provides BrowsePoll functionality.

For 'print dialog' suggestion: please file a separate bug report against gtk3.

For 'print settings' dialog: I'm not sure which dialog you mean. Could you clarify? This will need a separate bug report too.

When lpstat shows 'Description:' it's actually showing the content of the printer-info IPP attribute.

So let's start at the beginning: you said you added a description of a printer to the CUPS server. What exactly were the steps involved there?

Comment 3 Oliver Haessler 2015-05-21 16:41:45 UTC
Thanks Tim.. i was looking for a cups-browsed component, but could not find any.

'print dialog' I will file a new bug for this

'print dialog' -- dialog when you press print inside an application
'print settings' -- Gnome3 Printer settings, where you also add new printers manually -- I will file a new bug for this too, I guess this is also against gtk3

Ok, so we have cups servers for some offices, and when we add the printers to the cups server, we add a Description, mostly where it is located inside the office. So going to the cups server, i can see the 'Queue Name' and the Description and the Location
So for example:

Queue Name	Description	Location
HP4650DN	Color printer	Help Desk MUC

Now I would like to see the Description inside the 'print-dialog' and inside the 'print-settings', as this will help users to identify the printer they have printed on.

Right now the 'print-dialog' only shows Queue Name and location, however the Location is not what is given on the print server, but the server name itself, like for Munich it is the hostname of the print server in Munich.

In RHEL 6 the Location was actually what is written as 'Location' for the Printer Queue.

Does that make sense?

Comment 4 Tim Waugh 2015-05-22 11:45:01 UTC
(In reply to Oliver Haessler from comment #3)
> 'print settings' -- Gnome3 Printer settings, where you also add new printers
> manually -- I will file a new bug for this too, I guess this is also against
> gtk3

That should be control-center actually.
 
The fix for this is will be to add "printer-info" to the list of requested attributes in browse_poll(), which is already implemented upstream. In fact, this fix would be pulled in by the fix for bug #1191691.

Comment 7 errata-xmlrpc 2015-11-19 12:08:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2360.html


Note You need to log in before you can comment on or make changes to this bug.